using Microsoft.UI.Xaml;
using Microsoft.UI.Xaml.Controls;
using System.Diagnostics;

// To learn more about WinUI, the WinUI project structure,
// and more about our project templates, see: http://aka.ms/winui-project-info.

namespace CalendarSelection
{
    /// <summary>
    /// An empty window that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainWindow : Window
    {
        public MainWindow()
        {
            this.InitializeComponent();
            calendar.SelectionMode = SelectionMode.Multiple;
        }

        private async void Fetch_SelectedDates(object sender, RoutedEventArgs e)
        {
            string content = "";
            foreach (var date in calendar.SelectedDates)
                content += date.ToString() + "\n";
            Debug.WriteLine(content);
        }
    }
}
